Please select Into the mobile phone version | Continue to access the computer ver.
DJI Fly app not compatible
60738 264 2019-11-13
Uploading and Loding Picture ...(0/1)
o(^-^)o
Eswanddy Johan
New

Malaysia
Offline

I am using samsung s10+. The apps working perfectly before but after i update my phone suddenly the apps seems cannot be operate at all. Already uninstall and re install back the apps but nothing happen.why?
2019-12-26
Use props
Dirty Bird
Captain
Flight distance : 6793123 ft
  • >>>
United States
Offline

To the Fly compatibility list I can confirm the following:

Compatible:

Samsung Galaxy S10 (Android 10/OneUI 2.0/SnapDragon/T-Mobile)
Samsung Galaxy 6 Edge (T-mobile)
Asus ZenPad Z8s
Asus ZenPad 10 (Z300M)
Asus ZenPad 3S 10

NOT Compatible:

Samsung J3 Star (T-Mobile)
Samsung Galaxy Note 4 (T-Mobile)
Asus ZenPad 8S
Nexus 7
Nexus 7 (2013)
2019-12-26
Use props
nic160
lvl.1

United States
Offline

I just wanted to let DJI know, I'm/was another customer who received the mavic mini for Christmas. I was mislead when you said android 6.0, as i have on my note 4, I opened the box to discover my wife spent
$500.00 on a plastic brick. I feel DJI was very misleading about this. Your sales people in retail don't even know you can't use these devices to control the drones. Really ??? So lets say best case scenario i had an extra $1000.00 to buy an Iphone and i did to use my plastic brick. Now I find out you cannot buy extra batteries for this device because once again DJI CANNOT GET THEIR ACT TOGETHER..... This device was doomed from the beginning. Thank you DJI for making my wife's purse lighter $500.00 you thieves.  
2019-12-26
Use props
nic160
lvl.1

United States
Offline

nic160 Posted at 12-26 09:43
I just wanted to let DJI know, I'm/was another customer who received the mavic mini for Christmas. I was mislead when you said android 6.0, as i have on my note 4, I opened the box to discover my wife spent
$500.00 on a plastic brick. I feel DJI was very misleading about this. Your sales people in retail don't even know you can't use these devices to control the drones. Really ??? So lets say best case scenario i had an extra $1000.00 to buy an Iphone and i did to use my plastic brick. Now I find out you cannot buy extra batteries for this device because once again DJI CANNOT GET THEIR ACT TOGETHER..... This device was doomed from the beginning. Thank you DJI for making my wife's purse lighter $500.00 you thieves.

By the way this was my 1st drone experience ever, I would have hoped the manufacturer would have assisted the customers just a little bit. Sadly after months of wanting this drone I'm so frustrated I don't know that I will ever attempt drones again
2019-12-26
Use props
ted6
lvl.2

United States
Offline

Anybody have a Mavic mini with Fly software running on a Samsung Galaxy S2 tablet T813, actually running reliably? I'm ready to give up.

@nic160 These compatibility issues boggle my mind. Can you imagine having a copy of Microsoft Word or something, and then having to consult a huge spreadsheet of "approved" PCs that "work"? Oh the Lenovo blah blah works, but the Acer whatever doesn't, and the Dell something-or-other sorta works??!!! In case someone says I am comparing apples to oranges, then what is the compatibility issue?? Again, is it simply that a drone application has to handle high bandwidth, and all these devices are on the hairy edge of choking on the data transfer? All these devices are on THE SAME OS, with a micro USB port! Is the software making direct function calls to specific hardware that may not be supported? Video driver problems? What the heck is going on here? I've spent hours on the internet and the only thing I've found is some theories about USB. Solutions like going into developer mode on USB and switching the USB type. OK.... if that is the issue, why isn't there a FAQ from DJI about this. It's like they have a hardline position, these are the only good devices, end of story. Well, if that is the case, my Mavic will be returned, because I'm not going to spend $350 for a new tablet.
2019-12-27
Use props
Ingo Sundowner
First Officer
Flight distance : 753832 ft
United Kingdom
Offline

I'm using an ancient Samsung Galaxy S6 with a lightly cracked screen and purely for the mini. Works a treat, no probs whatsoever
2019-12-27
Use props
jmpmjp80
lvl.1

United States
Offline

Not sure if it's been mentioned yet, but the Samsung Galaxy A20 works great with the Mavic Mini, and the DJI Fly app. I couldn't find out online if it was 64bit Android OS, so i bought one knowing that i could return it, and the DJI Fly app was there, and i was able to fly the drone. (the Samsung Galaxy A10e, and maybe the A10, which is a smaller screen version of the A20, does not work with the DJI Fly app).
2019-12-28
Use props
fans7524128f
lvl.1
Flight distance : 4523474 ft
Australia
Offline

Eswanddy Johan Posted at 12-26 08:41
I am using samsung s10+. The apps working perfectly before but after i update my phone suddenly the apps seems cannot be operate at all. Already uninstall and re install back the apps but nothing happen.why?

I have the exact same issue on my S10+, it Worked perfectly fine, then I updated to the One UI 2.0, now the app won't even start.
Screenshot_20191228-224923.jpg
2019-12-28
Use props
jmpmjp80
lvl.1

United States
Offline

Ingo Sundowner Posted at 12-27 07:33
I'm using an ancient Samsung Galaxy S6 with a lightly cracked screen and purely for the mini. Works a treat, no probs whatsoever

That was my idea with the Galaxy S7 that i bought used, which has a few cracks as well. I had to send it back twice though. First one wouldn't charged very well. The second one charges great, but it won't connect to a computer as a data link, or more importantly,  won't connect to the mavic mini remote. But for $65 shipped, it's worth the hoops. (meanwhile, i'm using a Galaxy A20 that i bought from walmart, that i'll return later on).
2019-12-28
Use props
djiuser_d1mtsUr7a723
lvl.1

Germany
Offline

Merlin1951 Posted at 12-1 05:24
I'm sorry. When did you start working for DJI? Unhook your nose from that uppity cloud it's hooked on and get back to earth with the rest of us.

That was an apt response to a silly remark, well done. It is very stupid of DJI to create so many disgruntled customers, I cannot think what they are up to. The only way to rescue their reputation is to release a 32 bit version of the App, or to make the DJI Go App compatible with the Mini
2019-12-28
Use props
py.andriet
lvl.1
France
Offline

Bonjour,

Je possède le Redmi Note 7 (64 bits) mais l'application crash...
Y a t-il des utilisateurs avec RedMi Note 7 Ok ?
2019-12-29
Use props
ted6
lvl.2

United States
Offline

I was over on the Google Play Store looking at the DJI Fly reviews. Has a dismal 1.7 rating, but if you spend some time going through the 1700 reviews, a huge number of the 1 star reviews are from customers that have a Samsung 10 that was upgraded to Android 10.0. This upgrade breaks Fly. So DJI has a big problem here. Not sure why they are taking so long to respond. If you take away the mad S10 owners, the star rating would probably jump up a couple points!

As far as the 32/64 thing goes, I come from a Microsoft ecosystem where the 32 and 64 bitness is out in the open so to speak. In android, it seems hidden. I scoured my S2 to find out if the OS is 64 bit, and I could not find this info anywhere! I knew the CPU is 64 bit. Ended up downloading a nice little app from Google Play called "64 bit checker". Kinda funny, the app just has a big button that says "CHECK", and you click it and it tells you! Anyway the S2 is 64 bit OS on 64 bit processor.

As a Windows software developer, I use their development tools, and going from 32 to 64 bit builds (and back) is really quite easy if your software is written correctly. It's literally as easy as a combo box selection! If you are porting a 32 bit app you will probably get a few errors that the compiler will flag, but again, if the software is written correctly the errors are easily fixed. From that point on, software changes can be made, and 32 and 64 bit builds can be made seamlessly. Of course, you have to duplicate all your software validation twice. This is why I am so perplexed about all the 32/64 bit mystery in Android land. "Is this 32 bit and that 64, who knows, how can I find out, etc etc" Sheesh.
2019-12-29
Use props
fans8fed3570
lvl.1
Flight distance : 192520 ft
  • >>>
Ukraine
Offline

What the ХУЙНЯ ТАКАЯ is going on? When will the update be released?
Tell me the timeline?
DJI must be sued! РАСПИЗДЯИ!
2019-12-29
Use props
djiuser_KCwBcjnw1YXg
lvl.1
Flight distance : 10377 ft
Italy
Offline

ATTENTION !!!!!!! Now DJI FLY is not compatibile with cellulars, updated to ANDROID10,  listed by FJI for MINI drone. Pls to update this application IMMEDIATELY. Now we are lost 399/499 Euro for this problem, becose its impossibile to fly with MINI rone.
2019-12-31
Use props
Dirty Bird
Captain
Flight distance : 6793123 ft
  • >>>
United States
Offline

fans7524128f Posted at 12-28 03:49
I have the exact same issue on my S10+, it Worked perfectly fine, then I updated to the One UI 2.0, now the app won't even start.[Image]
Interesting.  I'm running One UI 2.0, atop Android 10, on a regular S10 (T-mobile) & the Fly app runs fine.

Screenshot_20191231-105735_Settings.jpg
2019-12-31
Use props
Alexander Sanchez Bedoya
New

Colombia
Offline

I have a galaxy note 10+.  dji fly worked correctly until a couple of days ago, now it doesn't want to start.  What will be the problem?
2019-12-31
Use props
Mugsie
lvl.4
Flight distance : 1187005 ft
United States
Offline

ted6 Posted at 12-29 06:19
I was over on the Google Play Store looking at the DJI Fly reviews. Has a dismal 1.7 rating, but if you spend some time going through the 1700 reviews, a huge number of the 1 star reviews are from customers that have a Samsung 10 that was upgraded to Android 10.0. This upgrade breaks Fly. So DJI has a big problem here. Not sure why they are taking so long to respond. If you take away the mad S10 owners, the star rating would probably jump up a couple points!

As far as the 32/64 thing goes, I come from a Microsoft ecosystem where the 32 and 64 bitness is out in the open so to speak. In android, it seems hidden. I scoured my S2 to find out if the OS is 64 bit, and I could not find this info anywhere! I knew the CPU is 64 bit. Ended up downloading a nice little app from Google Play called "64 bit checker". Kinda funny, the app just has a big button that says "CHECK", and you click it and it tells you! Anyway the S2 is 64 bit OS on 64 bit processor.

I live in the United States and I have the Samsung S10 plus. I went through the android upgrade to 10 without my wishes. However, it is working for me. For those its not working, where are you located? In Europe? There was a post from a france gent and after the upgrade to 10, the DJI Fly stopped working. So the folks after you have upgraded and did not work where you located? I think there is more to this than what meets the eye.
2019-12-31
Use props
BobWinNV
Captain
Flight distance : 248094 ft
  • >>>
United States
Offline

Juliflash Posted at 11-14 04:21
I second what KlooGee says, the change to 64Bit makes sense for the company, but it leaves many users out too, with 32bit phones that are more than Ok for most tasks.

Maybe check iPhone 7, second hand are quite cheap.

Even an iPhone 5s is 64 bit.
2019-12-31
Use props
djiuser_An68Cc5CEkgX
lvl.2
Flight distance : 232326 ft
United States
Offline

A warning should be posted in all Mini Mavic advertising and specs that is only compatible with 64bit operating software.
2019-12-31
Use props
jmpmjp80
lvl.1

United States
Offline

Dirty Bird Posted at 12-31 08:00
Interesting.  I'm running One UI 2.0, atop Android 10, on a regular S10 (T-mobile) & the Fly app runs fine.

My co-worker is on a Galaxy S10 (plus?), Android OS 10 (not sure on the other OS details) and he was able to download and run the app fine today, even to the final screen where you actually connect the mini (not that we were able to connect it, since i didn't have it with with me).

I also noticed today, which was not there yesterday, on the DJI Fly compatibility page "Requires Android 6.0 or above. Please note that the Android 10 beta version for Samsung Galaxy models is not currently supported."

2019-12-31
Use props
Dirty Bird
Captain
Flight distance : 6793123 ft
  • >>>
United States
Offline

jmpmjp80 Posted at 12-31 18:13
My co-worker is on a Galaxy S10 (plus?), Android OS 10 (not sure on the other OS details) and he was able to download and run the app fine today, even to the final screen where you actually connect the mini (not that we were able to connect it, since i didn't have it with with me).

I also noticed today, which was not there yesterday, on the DJI Fly compatibility page "Requires Android 6.0 or above. Please note that the Android 10 beta version for Samsung Galaxy models is not currently supported."

If his phone fully loaded the Fly app he should be good.  I have a hunch it is a carrier-specific issue.   Each carrier controls & customizes the firmware they push to their customers.  I am on T-Mobile & mine is working fine.  I just upgraded the bird & S10 to the latest firmware/app this afternoon.  Still working fine.  Self-unlock is functional now so I can fly from my house.  
2019-12-31
Use props
jmpmjp80
lvl.1

United States
Offline

Dirty Bird Posted at 12-31 19:02
If his phone fully loaded the Fly app he should be good.  I have a hunch it is a carrier-specific issue.   Each carrier controls & customizes the firmware they push to their customers.  I am on T-Mobile & mine is working fine.  I just upgraded the bird & S10 to the latest firmware/app this afternoon.  Still working fine.  Self-unlock is functional now so I can fly from my house.

I will ask what him what his carrier is, just so that it may help people here. - And yes, i did just notice the new .0400 firmware update!
2019-12-31
Use props
Steven Parker
lvl.1
Flight distance : 68619 ft
United Kingdom
Offline

Tim Twerp Posted at 2019-11-23 09:35
Really?  You Buy a $500 toy drone and  still have a cheap android phone?  Yes, third party apps will catch the wave and be available, but invest a little in a new or second phone for your drones!  Do you still use 32 bit for your computers?  if you want your equipment to support the future, expect the software to be current and up-gradable... not down gradable.  Go ahead and hate this message, but buy a $500 dollar toy drone and then complain that they expect you to have current technology in your phone... return it and get your money back.  Buy a tello.

Actually buddy, most of us have top end mobile devices. I have a Samsung S10+ which is on the compatability list! Now my phone upgraded to android 10 with the latest UI2 software! Guess what? DJI Fly app isnt compatible and crashes, so having the latest and greatest tech doesnt solve the problem! DJI have no interest in providing a 32bit apk for its drones so expect all your DJI hardware to be able to run on nothing higher than android 9 for the foreseeable future. Meanwhile my top of the range phone is getting replaced with a tried and tested iPhone
1-1 08:58
Use props
ted6
lvl.2

United States
Offline

Send my Mini back 2 days ago, due to not being compatible with my "archaic" Samsung Tab S2 T813 64 bit eight-core CPU, 64 bit OS, Android 7.0, 3G Ram tablet. Maybe in the distant future Fly will be more compatible. I really wanted to keep this drone. Sad....
1-1 09:59
Use props
HeirFlick
lvl.2

United Kingdom
Offline

ted6 Posted at 1-1 09:59
Send my Mini back 2 days ago, due to not being compatible with my "archaic" Samsung Tab S2 T813 64 bit eight-core CPU, 64 bit OS, Android 7.0, 3G Ram tablet. Maybe in the distant future Fly will be more compatible. I really wanted to keep this drone. Sad....

My brother reopened his store on the 27th December and the 97 returned before christmas now stands at 124 out of the 150 he ordered that have been returned because of the phone App problems. Sadly you are not alone.
1-1 13:08
Use props
Rychu72
lvl.1

Poland
Offline

This time I will sent MM back to the shop.
Maybe I will buy another one when the problem will be resolved in the future.

1-2 02:59
Use props
Dirty Bird
Captain
Flight distance : 6793123 ft
  • >>>
United States
Offline

HeirFlick Posted at 1-1 13:08
My brother reopened his store on the 27th December and the 97 returned before christmas now stands at 124 out of the 150 he ordered that have been returned because of the phone App problems. Sadly you are not alone.

I am not surprised by this because most Android devices in use are running a 32-bit version of the Android OS.  It is perplexing why DJI would allow this to go unresolved & eliminate/alienate so many potential customers?
1-2 17:57
Use props
SashaLAS
lvl.1
Flight distance : 192520 ft
  • >>>
Ukraine
Offline

Ну DJI и ПИДАРАСЫ! Обновление не исправило ошибку!  НЕ РАБОТАЕТ на Samsung Note 10+, Android 10!
Долбоёбы - исправьте ошибку!
1-3 09:20
Use props
djiuser_4LMAomPrDIqs
lvl.1

Norway
Offline

I just received the drone and was really disappointed to have this issue. I have an Samsung 8 edge running Android 9 and the app won't install. I really hope on works on the s10 when it gets back from the shop.
1-3 11:14
Use props
djiuser_4LMAomPrDIqs
lvl.1

Norway
Offline

The Samsung 8 edge is x64, so that can't be the only issue they have. I do see that the s8 EDGE is not on the compatibility list posted here, even though s8 and s7 and s7 edge is...

The box only says "Made for Iphone" so I guess I should have known better.
1-3 14:21
Use props
Vim Fueago
lvl.2
Flight distance : 21558 ft
United Kingdom
Offline

Worth mentioning, the DJI Fly App contains video editing, which is hugely intensive, likely a reason for 64bit OS.  It's also possible it's a 3rd party licenced library.  Perhaps a DJI Fly Lite app for el-cheapo 32bit phones without the more advanced features?  I doubt you will get a fully featured 32bit version, given it's an obsolete platform.
1-3 14:43
Use props
Vim Fueago
lvl.2
Flight distance : 21558 ft
United Kingdom
Offline

No 32bit apps from next year
https://www.androidpolice.com/2019/01/16/play-store-to-phase-out-32-bit-apps-on-64-bit-devices-by-2021-all-new-apps-from-august-1-must-be-64-bit/
1-3 14:49
Use props
Rychu72
lvl.1

Poland
Offline

Has anybody tried Samsung xcover 4 S. Xcover 4  has 64 bit and 2 ram but doesnt work.
1-4 01:27
Use props
Rychu72
lvl.1

Poland
Offline

Has anybody tried samsung xcover 4s. Xcover 4 has 64 bit android 9, 2 RAM but doesnt work.
1-4 01:34
Use props
lannes
Captain
Flight distance : 4465 ft
  • >>>
Australia
Offline

Rychu72 Posted at 1-4 01:34
Has anybody tried samsung xcover 4s. Xcover 4 has 64 bit android 9, 2 RAM but doesnt work.

It has the Exynos 7885 chipset, I've read there are some problems with the Android version it uses and DJI Fly

This is from a forum moderator

https://forum.dji.com/forum.php? ... p;page=1#pid2045613
1-4 03:21
Use props
lannes
Captain
Flight distance : 4465 ft
  • >>>
Australia
Offline

Not all Samsung S phones have the same chipset, it seems that Europe and Asia have Ekynos chipsets and the North America has the Qualcomm snapdragon chipsets.

This might explain why some forum members have Samsung phones that work with DJI Fly and others don't

There is a DJI acknowledged problems with the Ekynos chipsets and the Android OS causing problems for DJI Fly

https://forum.dji.com/forum.php? ... typeid%3D556&page=5

These links explain why Samsung have used two different chipsets on there S Series phone across different continents, which is still in place

https://www.cio.com/article/3035 ... r-s7-edge-have.html

https://bgr.com/2019/02/28/galax ... vs-galaxy-s10-plus/

It will be interesting to find out if the forum users with Samsung phones and DJI Fly problems are located in Europe and Asia ?

A quick scan on this thread is showing that almost all the users with problems are based in Europe or Asia

Apparently DJI is providing a fix for the S10 Ekynos based phones by the end of January



1-4 03:41
Use props
Ruben Pablo
lvl.1

Spain
Offline

Tim Twerp Posted at 2019-11-23 09:35
Really?  You Buy a $500 toy drone and  still have a cheap android phone?  Yes, third party apps will catch the wave and be available, but invest a little in a new or second phone for your drones!  Do you still use 32 bit for your computers?  if you want your equipment to support the future, expect the software to be current and up-gradable... not down gradable.  Go ahead and hate this message, but buy a $500 dollar toy drone and then complain that they expect you to have current technology in your phone... return it and get your money back.  Buy a tello.

I have a Samsung S10 + that cost me more than € 800 .... do you think this is a low-end phone ....?
I think your comment is too inappropriate ... as if you put yourself on the top of the mountain as master and lord of the truth and depreciating the remains of users ... you are a poor stupid.

Now returning to the thread of the discussion ... DJI is doing things wrong perhaps because of pressure from other companies that press DJI ... I ask you a simple question ... You think that a world-leading cell phone in sales of the S10 Range not ready for this Dorne? or the DJI Marketing people are drugged or poor idiots ... it smells like ... and pressure from other brands to go to Samsung ... i
1-4 06:46
Use props
chnapka
lvl.2

Czechia
Offline

Can you please provide any link to download version 1.0.3.?
1-4 07:12
Use props
Cosmin Popa
lvl.1
Flight distance : 653 ft
Cyprus
Offline

DJI FLY app won't load (anymore) on my Samsung S10+ after the latest updates. What do I do know with the useless piece of plastic my drone has turned into ?
1-4 10:41
Use props
chnapka
lvl.2

Czechia
Offline

Wait until fix end of January or downgrade to 1.0.3.
1-4 11:30
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules